org.omg.CORBA

## Class FieldNameHelper

- java.lang.Object
- - org.omg.CORBA.FieldNameHelper

-     public abstract class FieldNameHelper
      extends Object

  The Helper for `FieldName`. For more information on Helper files, see "Generated Files: Helper Files".

  org/omg/CORBA/FieldNameHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" 03 June 1999 11:52:03 o'clock GMT+00:00

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldNameHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `extract(Any a)`
    `static String` | `id()`
    `static void` | `insert(Any a, String that)`
    `static String` | `read(InputStream istream)`
    `static TypeCode` | `type()`
    `static void` | `write(OutputStream ostream, String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldNameHelper

          public FieldNameHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                                    String that)

    - #### extract

          public static String extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static String read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                                   String value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.